charlieb75
1 Copper

Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

I have been running Unisphere to access our VNX7500's using 32-bit Firefox and the latest 32-bit Java on Windows 7 Enterprise for probably more than a year with no issues (I gave up on IE a while ago). Last night, I allowed Firefox to update to version 52 and that version has disabled most plugins, including apparently the plugin used by Unisphere on the VNX1's, as all I can get is the satanic "you need at least Java 1.6 blah blah blah" message. I tried all combinations of Java 32/64 and IE/FIrefox. I was able to login to a VNX2 with some combinations (IE11 and 32-bit Java I think) but any attempt to login to a VNX1 just gets the Java error.

I finally "solved" the problem by reverting to a March 10th copy of my Windows VM, but that's obviously not a permanent solution. I'm wondering what combinations of Java/browser folks are using to access Unisphere on the VNX1's, as I could not find a combination that works.

Labels (1)
Tags (2)
0 Kudos
1 Solution

Accepted Solutions
charlieb75
1 Copper

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

Here is the solution I found. I was not running EMC's Unisphere VNX Client, I was just letting Firefox or IE connect to the control station and launch Java, which won't work anymore. Using the client with IE works, for me anyway. Here is what I did:

- downloaded and installed the Unisphere VNX Client

- Set IE to be the default browser

- Launched the client 

Perhaps that's what I was supposed to be doing all along, but Firefox / Java had been working for me for quite a while.

0 Kudos
6 Replies
jsmith841
1 Nickel

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

I hit this too recently, as expected. My only option was to use an older portable version of Firefox or just use IE11 in compatibility mode. IE to Unisphere still works for me once adding the Unisphere IP to safe sites list & java security settings.

0 Kudos
charlieb75
1 Copper

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

Here is the solution I found. I was not running EMC's Unisphere VNX Client, I was just letting Firefox or IE connect to the control station and launch Java, which won't work anymore. Using the client with IE works, for me anyway. Here is what I did:

- downloaded and installed the Unisphere VNX Client

- Set IE to be the default browser

- Launched the client 

Perhaps that's what I was supposed to be doing all along, but Firefox / Java had been working for me for quite a while.

0 Kudos
kelleg
4 Ruthenium

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

This is what I use:

Window 7

IE 11

Jave 1.6.30 - 32-bit only (64-bit is not supported)

VNX 7500 Flare 32 patch 218

VNX 8000 Flare 33 patch 119

When it starts I get the message about needing java 1.6 - I click OK, then at the bottom I get a messages when I click on "Run this Time"

glen

charlieb75
1 Copper

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

Thanks glen. We used to use similar older levels, but then corporate began to continually push updates  to our workstations, which has made it impossible to keep running older versions. When I hit this problem yesterday and rolled back to Firefox 50, within 30 minutes version 52 would be installed, regardless of my update settings. The same thing happens with Java --- they keep installing the latest "greatest."

0 Kudos
Highlighted
maniemc
2 Iron

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

I install "Firefox 52 ESR 32-bit release" with NPAPI support (as recommended by Java : Java plugin does not work in Firefox ) , it works great with JRE.

Bob_Fuller
1 Copper

Re: Unable to access VNX1 via Unisphere with IE or Firefox

Jump to solution

Good approach - VNX Client will get you out of trouble 9/10 times